#/*****************************************************************************
#* luaEngine Lua Engine for Qt
#* Copyright (C) 2018 Syping
#*
#* Licensed under the Apache License, Version 2.0 (the "License");
#* you may not use this file except in compliance with the License.
#* You may obtain a copy of the License at
#*
#*     http://www.apache.org/licenses/LICENSE-2.0
#*
#* Unless required by applicable law or agreed to in writing, software
#* distributed under the License is distributed on an "AS IS" BASIS,
#* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#* See the License for the specific language governing permissions and
#* limitations under the License.
#*****************************************************************************/

QT += core network gui widgets
CONFIG += c++11

TARGET = luaenginegui
TEMPLATE = lib

DEFINES += LUAENGINEGUI_LIBRARY

CONFIG(debug, debug|release): win32: LIBS += -L$$OUT_PWD/../luaengine/debug -lluaengine
CONFIG(release, debug|release): win32: LIBS += -L$$OUT_PWD/../luaengine/release -lluaengine
unix: LIBS += -L$$OUT_PWD/../luaengine -L$$OUT_PWD/../luaenginegui -lluaengine

INCLUDEPATH += \
    ../luaengine/lua \
    ../luaengine/luaengine

SOURCES += \
    luaengine/LuaEngineGui.cpp

HEADERS += \
    luaengine/LuaEngineGui.h \
    luaengine/LuaEngineGui_global.h
